NCVMatrixAlloc< T > Class Template Reference

NCVMatrixAlloc. More...

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMatrixAlloc< T >:

## Public Member Functions

| NCVMatrixAlloc (INCVMemAllocator &allocator, Ncv32u width, Ncv32u height, Ncv32u pitch=0)
| ~NCVMatrixAlloc ()
NcvBool | isMemAllocated () const
Ncv32u | getAllocatorsAlignment () const
NCVMemSegment | getSegment () const
Public Member Functions inherited from NCVMatrix< T >
| NCVMatrix ()
virtual | ~NCVMatrix ()
void | clear ()
Ncv32u | stride () const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, std::size_t howMuch=0) const
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
T & | at (Ncv32u x, Ncv32u y) const
T * | ptr () const
Ncv32u | width () const
Ncv32u | height () const
NcvSize32u | size () const
Ncv32u | pitch () const
NCVMemoryType | memType () const

## Additional Inherited Members

Protected Attributes inherited from NCVMatrix< T >
T * | _ptr
Ncv32u | _width
Ncv32u | _height
Ncv32u | _pitch
NCVMemoryType | _memtype

## Detailed Description

### template<class T>
class NCVMatrixAlloc< T >

NCVMatrixAlloc.

Definition at line 785 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMatrixAlloc()

template<class T>

NCVMatrixAlloc< T >::NCVMatrixAlloc | ( | INCVMemAllocator & | allocator,
|  | Ncv32u | width,
|  | Ncv32u | height,
|  | Ncv32u | pitch = `0`
| ) |  |

inline

Definition at line 792 of file NCV.hpp.

References NCVMatrix< T >::_ptr, INCVMemAllocator::alignment(), INCVMemAllocator::alloc(), NCVMemSegment::begin, NCVMemSegment::clear(), NCVMatrix< T >::clear(), NCVMatrix< T >::height(), NCVMatrix< T >::pitch(), NCVMemPtr::ptr, and NCVMatrix< T >::width().

## ~NCVMatrixAlloc()

template<class T>

NCVMatrixAlloc< T >::~NCVMatrixAlloc | ( |  | ) |

inline

Definition at line 824 of file NCV.hpp.

References NCVMatrix< T >::clear(), and INCVMemAllocator::dealloc().

## Member Function Documentation

## getAllocatorsAlignment()

template<class T>

Ncv32u NCVMatrixAlloc< T >::getAllocatorsAlignment | ( |  | ) | const

inline

Definition at line 839 of file NCV.hpp.

References INCVMemAllocator::alignment().

## getSegment()

template<class T>

NCVMemSegment NCVMatrixAlloc< T >::getSegment | ( |  | ) | const

inline

Definition at line 844 of file NCV.hpp.

## isMemAllocated()

template<class T>

NcvBool NCVMatrixAlloc< T >::isMemAllocated | ( |  | ) | const

inline

Definition at line 834 of file NCV.hpp.

References NCVMemSegment::begin, INCVMemAllocator::isCounting(), and NCVMemPtr::ptr.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp